Subject: [seamoby] FW: [seamoby-context] Resend:New Draft:Issues in Candidate Access Router Discovery

From: <[email-masked]>
Date: Fri, 13 Jul 2001 12:23:14 -0500

Theo,
Theo,
I haven't read your draft yet. I will comment on your mail once I read
it.
Regarding a solution, we have one too but I think a solution is due only
after the problem
statement is described and the requirements are agreed upon. This is
atleast how the IETF
works as far as I know. Regarding our draft containing information from
your draft, it is
accidental. We have presented our draft as a first problem statement. If
you feel that we haven't addressed some of the issues (well this is the
00 version afterall!)
that you feel is necessary, go ahead and post it to the mailing list and
we can go from
there. 

Govind.

-----Original Message-----
From: Theo Pagtzis [mailto:[email-masked]]
Sent: July 13, 2001 01:08 PM
To: Govind.Krishnamurthi
Cc: mobile-ip; seamoby; seamoby-context
Subject: Re: [seamoby-context] Resend:New Draft:Issues in Candidate
Access Router Discovery

Govind,

    I have already provided a detailed protocol on pessimistic and
optimistic proactivity in
terms of router neighbour determination and candidacy. Please see
draft-pagtzis-mobileip-proactivev6-00.txt/.ps

I have also gone a long way in specifying the notions of mobility and
routing neighbourhood as well as
provide an algorithm for their determination.

My proactive mobility scheme contains as part of it, exactly what you
are describing as very briefly as
physical neighbourhood and its mapping to a routing neighbourhood. There
are however much more issues that
are not elaborated in the targer AR determination. These are also
covered in the draft on proactive mobility.

Also what is the date of your submission? Here your draft says it is
July 2001. But what day?

Theo

UCL/ Mobile Systems

"Govind.Krishnamurthi" wrote:

> I'm resending the draft to the mailing list as I did not see it appear
> in the  archives. Sorry if you receive multiple copies.
> BRs,
> Govind.
>
> Abstract:
> Handoff in IP mobility protocols involves moving a mobile node's
> Layer 3 routing reachability information from one access router to
> another, before or after the mobile node has established a Layer 2
> connection with the radio access point that is covered by the new
> access router. In addition, other context information about the
> mobile node's packet session may be transferred from the old access
> router to the new one, in order to minimize the service disruption
> during the handoff process. While the exact details of how this is
> accomplished vary depending on the IP mobility and seamless handoff
> protocols, one common thread required for seamless handoffs is
> identifying the candidate access routers for the mobile node's
> handoff. When a collection of candidates has been identified, an
> algorithm is run to determine the target access router, and this
> router becomes the target of handoff at Layer 3. This document
> presents a problem statement describing issues involved in designing
> a candidate access router discovery protocol. The document does not
> discuss the algorithm by which the actual target router is
> identified, nor how the handoff to the target is achieved.
>
> Comments are welcome.
>
> Best Regards,
> Govind.
>
>  <<draft-ietf-seamoby-CARdiscovery-issues-00.txt>>
>
>
------------------------------------------------------------------------
>                                                        Name:
draft-ietf-seamoby-CARdiscovery-issues-00.txt
>    draft-ietf-seamoby-CARdiscovery-issues-00.txt       Type: Plain
Text (text/plain)
>                                                    Encoding: base64
>                                                 Description:
draft-ietf-seamoby-CARdiscovery-issues-00.txt

---

From: Pat Calhoun <[email-masked]>
Date: Fri, 13 Jul 2001 13:34:38 -0700

Govind,

If Theo has specific issues in his draft that do belong in the
problem statement, then we should consider those. However, being guilty
of not having the chance to read his I-D, if it is solution-space, then
it is premature.

That said, if Theo, or anyone else, has comments, or even better, proposed
text for the problem statement, and the WG agrees, then it needs to be
added.

PatC